libdap::Int32 Class Reference

Holds a 32-bit signed integer. More...

`#include <Int32.h>`

Inheritance diagram for libdap::Int32:

## Public Member Functions

unsigned int | buf2val (void **val) override
void | compute_checksum (Crc32 &checksum) override
bool | d4_ops (BaseType *b, int op) override
void | deserialize (D4StreamUnMarshaller &um, DMR &dmr) override
bool | deserialize (UnMarshaller &um, DDS *dds, bool reuse=false) override
void | dump (ostream &strm) const override
| dumps information about this object
| Int32 (const Int32 &copy_from)
| Int32 (const string &n)
| Int32 (const string &n, const string &d)
Int32 & | operator= (const Int32 &rhs)
bool | ops (BaseType *b, int op) override
void | print_val (FILE *out, string space="", bool print_decl_p=true) override
void | print_val (ostream &out, string space="", bool print_decl_p=true) override
BaseType * | ptr_duplicate () override
bool | serialize (ConstraintEvaluator &eval, DDS &dds, Marshaller &m, bool ce_eval=true) override
void | serialize (D4StreamMarshaller &m, DMR &dmr, bool filter=false) override
| Serialize an Int8.
virtual bool | set_value (dods_int32 i)
unsigned int | val2buf (void *val, bool reuse=false) override
virtual dods_int32 | value () const
unsigned int | width (bool=false) const override
int64_t | width_ll (bool=false) const override

## Protected Attributes

dods_int32 | d_buf

## Detailed Description

Holds a 32-bit signed integer.

See also
  BaseType

Definition at line 63 of file Int32.h.

## Constructor & Destructor Documentation

## Int32() [1/3]

libdap::Int32::Int32 | ( | const string & | n | ) |

The Int32 constructor requires only the name of the variable to be created. The name may be omitted, which will create a nameless variable. This may be adequate for some applications.

Parameters

  n | A string containing the name of the variable to be created.

Definition at line 83 of file Int32.cc.

## Int32() [2/3]

libdap::Int32::Int32 | ( | const string & | n,
|  | const string & | d )

The Int32 server-side constructor accepts the name of the variable and the dataset name from which this instance is created.

Parameters

  n | A string containing the name of the variable to be created.
  d | A string containing the name of the dataset from which this variable is created

Definition at line 92 of file Int32.cc.

## Int32() [3/3]

libdap::Int32::Int32 | ( | const Int32 & | copy_from | ) |

Definition at line 94 of file Int32.cc.

## ~Int32()

libdap::Int32::~Int32 | ( |  | ) |

virtual

Definition at line 98 of file Int32.cc.

## Member Function Documentation

## buf2val()

unsigned int libdap::Int32::buf2val | ( | void ** | val | ) |

override

Definition at line 163 of file Int32.cc.

## compute_checksum()

void libdap::Int32::compute_checksum | ( | Crc32 & | checksum | ) |

override

Definition at line 131 of file Int32.cc.

## d4_ops()

bool libdap::Int32::d4_ops | ( | BaseType * | b,
|  | int | op )

override

See also
  BaseType::d4_ops(BaseType *, int)

Definition at line 226 of file Int32.cc.

## deserialize() [1/2]

void libdap::Int32::deserialize | ( | D4StreamUnMarshaller & | um,
|  | DMR & | dmr )

override

Definition at line 148 of file Int32.cc.

## deserialize() [2/2]

bool libdap::Int32::deserialize | ( | UnMarshaller & | um,
|  | DDS * | dds,
|  | bool | reuse = false )

override

Definition at line 125 of file Int32.cc.

## dump()

void libdap::Int32::dump | ( | ostream & | strm | ) | const

override

dumps information about this object

Displays the pointer value of this instance and information about this instance.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Definition at line 265 of file Int32.cc.

## operator=()

Int32 & libdap::Int32::operator= | ( | const Int32 & | rhs | ) |

Definition at line 100 of file Int32.cc.

## ops()

bool libdap::Int32::ops | ( | BaseType * | b,
|  | int | op )

override

Definition at line 200 of file Int32.cc.

## print_val() [1/2]

void libdap::Int32::print_val | ( | FILE * | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 186 of file Int32.cc.

## print_val() [2/2]

void libdap::Int32::print_val | ( | ostream & | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 192 of file Int32.cc.

## ptr_duplicate()

BaseType * libdap::Int32::ptr_duplicate | ( |  | ) |

override

Definition at line 96 of file Int32.cc.

## serialize() [1/2]

bool libdap::Int32::serialize | ( | ConstraintEvaluator & | eval,
|  | DDS & | dds,
|  | Marshaller & | m,
|  | bool | ce_eval = true )

override

Definition at line 108 of file Int32.cc.

## serialize() [2/2]

void libdap::Int32::serialize | ( | D4StreamMarshaller & | m,
|  | DMR & | dmr,
|  | bool | filter = false )

override

Serialize an Int8.

Parameters

  m |
  dmr | Unused
  eval | Unused
  filter | Unused

Exceptions

  Error | is thrown if the value needs to be read and that operation fails.

Definition at line 141 of file Int32.cc.

## set_value()

bool libdap::Int32::set_value | ( | dods_int32 | i | ) |

virtual

Definition at line 179 of file Int32.cc.

## val2buf()

unsigned int libdap::Int32::val2buf | ( | void * | val,
|  | bool | reuse = false )

override

Definition at line 150 of file Int32.cc.

## value()

dods_int32 libdap::Int32::value | ( |  | ) | const

virtual

Definition at line 177 of file Int32.cc.

## width()

unsigned int libdap::Int32::width | ( | bool | = false | ) | const

inline override

Definition at line 79 of file Int32.h.

## width_ll()

int64_t libdap::Int32::width_ll | ( | bool | = false | ) | const

inline override

Definition at line 81 of file Int32.h.

## Member Data Documentation

## d_buf

dods_int32 libdap::Int32::d_buf

protected

Definition at line 65 of file Int32.h.

The documentation for this class was generated from the following files:

- Int32.h
- Int32.cc